<div class="col">
    <div class="diagram">
        <div class="row">
            <div class="col">
                <h2>Budget overview</h2>
            </div>
        </div>
        <div class="row">
            <div class="col">
                <div class="input-group input-group-sm mb-3">
                    <div class="input-group-prepend">
                        <label class="input-group-text" for="budgetSelect">Budget</label>
                    </div>
                    <select class="custom-select" id="budgetSelect">
                        <option selected>Home</option>
                        <option value="1">Work</option>
                    </select>
                </div>
            </div>
            <div class="col">
                <div class="input-group input-group-sm mb-3">
                    <div class="input-group-prepend">
                        <label class="input-group-text" for="periodSelect">Period</label>
                    </div>
                    <select class="custom-select" id="periodSelect">
                        <option selected>All</option>
                        <option value="1">Last month</option>
                        <option value="1">Last year</option>
                    </select>
                </div>
            </div>
        </div>

        <div class="row">
            <div class="col">
                <div *ngIf="chart">
                    <canvas id="linechart">{{ chart }}</canvas>
                </div>
            </div>
        </div>
    </div>
</div>
